
struct _PhaseVocoder {
	double *largamp=NULL;
	float *lpc_coef=NULL,
	      *megfreq=NULL, 
	      *megamp=NULL;         /* Enormous arrays */
	long horiz_num=0;	    /* Number of analysis frames */
	double duration;		    /* Duration in secs */
	int numchannels;	    /* Number of phase vocoder channels */
	double binfreq;		    /* Frequency pr. bin */
	int theheight;
	int areat1=0, areat2=0, areaf1=0, areaf2=0, areach=0;
	int spotst[MAX_PAINT], spotsf[MAX_PAINT];
	int si_valid=-1, playing=0, xold, numspots=0;
	double stretchfac=1., dgain=1., dscale=1.;

	int numcoef=60, numcoef2=0;

	/*
	int lpc_R=44100;
	int lpc_samps_per_frame=1;
	long lpc_horiz_num=0, lpc_framecnt;
	double lpc_duration;
	*/

	int	fft_length;		/* was N */
	int	window_length;		/* was Nw */
	int	decim_factor;		/* was Dn */
	//int N2;			/* was N / 2 */
	int I, overlap, NP;
	int Nw2;			/* was Nw / 2 */
	int obank=0;
	double P, Pinc, synt,  *Wanal,  *Wsyn,  *input,  *buffer,  *channel;
	double output[4][8192], lastphase[4][4097],
	  lastamp[4][4097], lastfreq[4][4097], index[4][4097];
	double *tempamp, *tempfreq, *last, *this;
};

